Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000598Core InformActionspublic2011-03-03 00:492014-05-07 07:33
ReporterAaronReed 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000598: ENTER SELF produces incongruous response
DescriptionIt says "But you're already in yourself." Garbage in, garbage out, I suppose, but it seems contrafactual to the world model.
Minimal Source Text To Reproduce
X is room.
Additional InformationThis could probably fixed by adjusting the can't enter what's already entered rule accordingly:

Check an actor entering (this is the can't enter what's already entered rule):
if actor is noun, make no decision; [NEW LINE]
let the local ceiling be the common ancestor of the actor with the noun;
if the local ceiling is the noun, stop the action with library message
entering action number 1 for the noun.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
(0001067)
EmacsUser (manager)
2011-03-03 12:11

Confirmed, though technically the player is in himself/herself/itself according to Inform's notion of ``in.''

- Issue History
Date Modified Username Field Change
2011-03-03 00:49 AaronReed New Issue
2011-03-03 10:54 jmcgrew Effect (cosmetic) Error message is badly worded => (serious/mild) Game compiles but misbehaves
2011-03-03 10:54 jmcgrew Status new => acknowledged
2011-03-03 12:11 EmacsUser Note Added: 0001067
2011-03-03 12:11 EmacsUser Status acknowledged => confirmed
2014-01-27 10:27 graham Status confirmed => resolved
2014-01-27 10:27 graham Resolution open => fixed
2014-01-27 10:27 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker